Bug 73737 - soffice.bin frozen with high cpu when copying text from a Visual Studio textbox unless it is closed
Summary: soffice.bin frozen with high cpu when copying text from a Visual Studio textb...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.4.1 rc
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 10:17 UTC by clement.ratel
Modified: 2015-09-04 03:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
picture showing libreoffice and visual studio with a cpu monitor (96.13 KB, image/png)
2014-01-17 10:17 UTC, clement.ratel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clement.ratel 2014-01-17 10:17:40 UTC
Created attachment 92274 [details]
picture showing libreoffice and visual studio with a cpu monitor

Hello,

Strange behavior : when you are in a query designer in Visual Studio 2010, whenever you copy the SQL code in it, LibreOffice panics until the designer is closed.

Step to reproduce the error :
01-launch LibreOfficeWriterPortable.exe 4.1.4
02-launch Microsoft Visual Studio 2010
03-in Visual Studio go to File / New / Project
04-in New Project select Analysis Services under Business Intelligence
05-choose Analysis Services Multidimensional
06-right click 'Data Source View' select 'New' then 'New Data Source'
07-configure to use any data source you might be able to connect to
08-add at least one table to the Data Source View
09-right click the table Replace Table, With New Named Query
10-in the Query Designer, copy the SQL query text
11-from now on your CPU is high and LibreOffice won't answer
12-in visual Studio close the Query Designer
13-CPU instantly reaches 0 and LibreOffice is now ok

a+,=)
-=Clement=-

Configuration : 
SQL Server 2012 (comes with Visual Studio 2010) with any sample database
LibreOfficePortable 4.1.4
Comment 1 clement.ratel 2014-03-04 15:58:52 UTC
Update : changed Version from 4.1.4 to 4.2.1.1 as I am still able to reproduce the issue.
Comment 2 retired 2014-03-04 17:21:14 UTC
Yet version field is not to be changed since it is the first version the bug appeared in. 

Please read bugzilla infos that pop up. There acutally is a reason why they are displayed ;)
Comment 3 Yousuf Philips (jay) (retired) 2014-07-11 01:30:42 UTC
Dear clement,

Is it possible for you to run a backtrace for us as i'd assume none of the bug triage team has visual studio.
Comment 4 clement.ratel 2014-07-11 09:23:56 UTC
(In reply to comment #3)
> Dear clement,
> 
> Is it possible for you to run a backtrace for us as i'd assume none of the
> bug triage team has visual studio.

Dear Jay,

I would be pleased to do so if someone provides me with the information on how run a backtrace in my situation.
I followed :
https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
but I wasn't able to do like them all the way.

Any help is appreciated.

N.B. if I try to paste in LibreOffice, then close the Query Designer dialog box by using Cancel, LibreOffice recovers and displays an warning message regarding an invalid clipboard format.

a+, =)
-=Clement=-

Configuration :
LibreOffice Portable v4.2.5
SQL Server Data Tools for Visual Studio 2012

FYI find below the WinDbg output from when I copy the content (query text) in the Query Designer, then I manually kill soffice.bin in Windows Task Manager.
[...]
(190.12dc): Unknown exception - code 80010001 (first chance)
(190.1b2c): Unknown exception - code 80010001 (first chance)
(190.12dc): Unknown exception - code 80010001 (first chance)
(190.1b2c): Unknown exception - code 80010001 (first chance)
eax=000000c0 ebx=771afe8c ecx=00000000 edx=771afd0d esi=05afa6e0 edi=00000000
eip=771c70f4 esp=0817fcf0 ebp=0817fe84 iopl=0         nv up ei ng nz ac po cy
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000293
ntdll!KiFastSystemCallRet:
771c70f4 c3              ret
0:004> !analyze -v
Last event: 190.1a60: Exit process 0:190, code 1
  debugger time: Fri Jul 11 11:17:00.393 2014 (UTC + 2:00)
Comment 5 Yousuf Philips (jay) (retired) 2014-07-11 22:34:14 UTC
Hi Clement,

Its possible that windbg might not be the right approach to find out why it freezes for so long, but recovers right after closing visual studio.

@Meeks: can you chime in on what the best approach to finding why it halts on windows.
Comment 6 Michael Meeks 2014-07-12 11:22:22 UTC
Good question; of course first you need the build with debugging symbols etc. Then I woudl make it do whatever slow / hanging thing you want.

After that -while it is hung, if you can connect windbg you should get a very interesting stack trace =) [ but look at all threads and ignore the ones that are not doing very much ;-].

Does that make sense ?
Comment 7 Alex Thurgood 2015-01-03 17:39:12 UTC
Adding self to CC if not already on
Comment 8 QA Administrators 2015-07-18 17:35:29 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 9 QA Administrators 2015-09-04 03:00:48 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03